# Class CM1KeystoreParser

java.lang.Object
com.io7m.canonmill.core.internal.v1.CM1KeystoreParser

All Implemented Interfaces:
  `com.io7m.blackthorne.core.BTElementHandlerType<Object, CMKeyStoreDescription>`

public final class CM1KeystoreParser extends Object implements com.io7m.blackthorne.core.BTElementHandlerType<Object, CMKeyStoreDescription>
A parser for v1 keystores.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CM1KeystoreParser(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  A parser for v1 keystores.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.io7m.blackthorne.core.BTQualifiedName`
  `element(String localName)`
  The element with the given name.
  `Map<com.io7m.blackthorne.core.BTQualifiedName, com.io7m.blackthorne.core.BTElementHandlerConstructorType<?,?>>`
  `onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  `void`
  `onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, Object result)`
  `CMKeyStoreDescription`
  `onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  `void`
  `onElementStart(com.io7m.blackthorne.core.BTElementParsingContextType context, Attributes attributes)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.core.BTElementHandlerType

  `map, name, onCharacters, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### CM1KeystoreParser

    public CM1KeystoreParser(com.io7m.blackthorne.core.BTElementParsingContextType context)
    A parser for v1 keystores.
    Parameters:
      `context` - The parse context

- ## Method Details

  - ### onElementStart

    public void onElementStart(com.io7m.blackthorne.core.BTElementParsingContextType context, Attributes attributes)
    Specified by:
      `onElementStart` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object, CMKeyStoreDescription>`

  - ### onChildHandlersRequested

    public Map<com.io7m.blackthorne.core.BTQualifiedName, com.io7m.blackthorne.core.BTElementHandlerConstructorType<?,?>> onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object, CMKeyStoreDescription>`

  - ### onChildValueProduced

    public void onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, Object result)
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object, CMKeyStoreDescription>`

  - ### onElementFinished

    public CMKeyStoreDescription onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object, CMKeyStoreDescription>`

  - ### element

    public static com.io7m.blackthorne.core.BTQualifiedName element(String localName)
    The element with the given name.
    Parameters:
      `localName` - The local name
    Returns:
      The qualified name